GET /work-requests/{id}/related-resources
1 min
GET
https://api.cmp.optimizely.com/v3/work-requests/{id}/related-resources
Path Parameters
- idstringrequiredExampleDescription
Query Parameters
- offsetintegerExampleDescriptionDefault0Minimum0
- page_sizeintegerExampleDescriptionDefault10Minimum1Maximum100
Responses
200
- object
- dataWorkRequestRelatedResourceResponse[]requiredDescription
- idstringrequiredExampleDescription
- resource_typestringrequiredExampleDescription
- relation_typestring<started | linked>requiredExampleDescriptionAllowedstartedlinked
- created_atstring<date-time>requiredExampleDescriptionFormatdate-time
- linksobjectrequiredDescription
- selfstringrequiredExampleDescription
- paginationobjectrequired
- Pagination
- nextstringrequiredExampleDescription
- previousstringrequiredDescription
- object
- nextstringExample
401
- ErrorExample
{ "message": "Unauthorized" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
403
- ErrorExample
{ "message": "You do not have the permission to perform this operation" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
curl
curl --request GET \
--url 'https://api.cmp.optimizely.com/v3/work-requests/{id}/related-resources?offset=5&page_size=10' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/work-requests/{id}/related-resources?offset=5&page_size=10", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/work-requests/{id}/related-resources?offset=5&page_size=10")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/work-requests/{id}/related-resources?offset=5&page_size=10"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// List of fetched work request related resources
{
"data": [
{
"id": "5fe4925ef8a9378056bf4e37",
"resource_type": "task",
"relation_type": "started",
"created_at": "2022-04-30T06:00:00.000Z",
"links": {
"self": "https://api.cmp.optimizely.com/v3/tasks/5fe4925ef8a9378056bf4e37"
}
}
],
"pagination": {}
}401
// Authorization error
{
"message": "Not found",
"errors": ""
}403
// Permission error
{
"message": "Not found",
"errors": ""
}